import { Store } from 'ferda/../store'

export const VerificationSettingsModule = {
    namespaced: true,
    state: {
        VERIFICATION_PORTAL_URL: null,
        VERIFICATION_SETTINGS: null,
    },
    mutations: {
        set_verification_portal_url(state, value) { state.VERIFICATION_PORTAL_URL = value },
        set_verification_settings(state, value) { state.VERIFICATION_SETTINGS = value },
    },
    getters: {
        VERIFICATION_PORTAL_URL: state => state.VERIFICATION_PORTAL_URL,
        VERIFICATION_SETTINGS: state => state.VERIFICATION_SETTINGS,
    },
}

export const VerificationModule = {
    namespaced: true,
    state: {
        verification_data: null,
    },
    mutations: {
        set_verification_data(state, value) { state.verification_data = value},
    },
    getters: {
        verification_data: state => state.verification_data,
    },
}
export const PluginStore = {
    modules: {
        ...Store.modules,
        verification_settings: VerificationSettingsModule,
        verification: VerificationModule,
    },
}
